All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.relational
Class BaseTableRowColumnStrategy

    com.sas.actionprovider.strategies.relational.BaseTableRowColumnStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

Direct Known Subclasses:
  CopyStrategy, CutStrategy, PasteStrategy

    public abstract class BaseTableRowColumnStrategy

Field Summary
`static java.lang.String` | `ROW`

Fields inherited from class com.sas.actionprovider.strategies.relational.BaseTableStrategy
`TABLE`

Fields inherited from class com.sas.actionprovider.strategies.relational.BaseRelationalStrategy
`AREA_VALUE_ATTRKEY, COLUMN, MODEL, SORT_ASCENDING_IMAGE, SORT_DESCENDING_IMAGE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseTableRowColumnStrategy()` Default constructor.
`BaseTableRowColumnStrategy(boolean swing, RelationalActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes the Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.

Methods inherited from class com.sas.actionprovider.strategies.relational.BaseRelationalStrategy
`addDynamicValueInfo, getCustomAttributeValue, setLabelAndMnemonicOnAction, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing`

Field Detail

### ROW

    public static final java.lang.String ROW

See Also:
  Constant Field Values

Constructor Detail

### BaseTableRowColumnStrategy

    public BaseTableRowColumnStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### BaseTableRowColumnStrategy

    public BaseTableRowColumnStrategy(boolean swing,
                                      RelationalActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Initializes the Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  Overrides:
    `initializeActionAttributes` in class `BaseTableStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### initialize

    protected void initialize()

  Initialize this strategy object.

  Registers the dynamic value information for this strategy via the `BaseRelationalStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method. the

  Overrides:
    `initialize` in class `BaseRelationalStrategy`
  See Also:
    `#setReturnStatus`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.